Skip to main content
GET
/
config
Retrieve Application Config
curl --request GET \
  --url https://api.nuwebgroup.com/v1/config \
  --header 'Authorization: Bearer <token>'
{
  "id": 8,
  "name": "John Doe",
  "login": "john@example.com",
  "companyId": "1",
  "companyName": "Example Company",
  "nfcKey": "12356789",
  "permissions": {
    "zonesScan": true,
    "admitGuests": true,
    "sell": true,
    "discounts": true,
    "complimentary": true,
    "refund": true,
    "report": true,
    "walletTopup": true,
    "walletCashout": true,
    "cashDrawerNoSale": true,
    "cashDrawerCardSale": true,
    "viewListOfOrders": true,
    "viewOrders": true,
    "viewListOfEvents": true,
    "viewEvents": true
  },
  "epos": {
    "enabled": true,
    "balanceSpendingEnabled": true,
    "balanceSpendingAuthMode": "online",
    "cardSpendingEnabled": true,
    "cardTerminalSpendingEnabled": true,
    "cashSpendingEnabled": true,
    "complimentaryOrdersEnabled": true,
    "allowGuestOrders": true
  },
  "branding": {
    "primaryColor": "#ffffff",
    "secondaryColor": "#ffffff",
    "gradientBegin": "#ffffff",
    "gradientEnd": "#ffffff",
    "iconColor": "#ffffff",
    "toolbarLogo": "https://example.com",
    "iOSSupportUrl": "https://example.com",
    "nfcReaderSupportUrl": "https://example.com",
    "splashLogo": "https://example.com",
    "supportUrl": "https://example.com"
  },
  "billingDetails": {
    "name": "Bauch-Lynch",
    "address": "1978 Lang Branch Suite 817, New Nicolaton, OR 99237",
    "salesTaxNumber": 53782379
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Response

An example resource

id
string
name
string
login
string
companyId
string
companyName
string
permissions
object
epos
object
branding
object
nfcKey
string
billingDetails
object